Skip to main content
GET
/
v1
/
applications
/
{id}
/
providers
List Application Providers
curl --request GET \
  --url https://identity.sandbox.lerian.net/v1/applications/{id}/providers \
  --header 'Authorization: Bearer <token>'
[
  {
    "providerId": "019c96a0-1a10-7abc-d1e2-8c9d0e1f2a3b",
    "category": "Email",
    "type": "SendGrid",
    "canSignIn": true,
    "canSignUp": true,
    "canUnlink": false,
    "prompted": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The authorization token in the 'Bearer ' format.

Path Parameters

id
string
required

The unique identifier of the application you want to retrieve.

Response

The list of all providers linked to the application.

providerId
string

Unique identifier of the linked provider.

category
enum<string>

Provider category.

Available options:
Email,
SMS
type
enum<string>

Provider implementation type.

Available options:
SendGrid,
Twilio
canSignIn
boolean

Whether users can sign in using this provider.

canSignUp
boolean

Whether new users can sign up using this provider.

Whether users can unlink this provider from their account.

prompted
boolean

Whether users are prompted to link this provider on login.

alertType
string

Alert type configuration for this provider link.

rule
string

Custom rule applied to this provider link.